Page MenuHomePhabricator

AMDGPU/GlobalISel: Remove selection of MAD/MAC when not available
ClosedPublic

Authored by critson on Jun 16 2020, 9:57 PM.

Details

Summary

Add code to respect mad-mac-f32-insts target feature.

Diff Detail

Event Timeline

critson created this revision.Jun 16 2020, 9:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2020, 9:57 PM
arsenm added inline comments.Jun 17 2020, 5:45 AM
llvm/test/CodeGen/AMDGPU/GlobalISel/udiv.i64.ll
4

I think it's a bit much to have this giant extra test just for this. Can you just add a run line to legalize-fmad.* instead?

183

The check prefix being an actual word confused me. NOFMAD maybe?

critson updated this revision to Diff 271545.Jun 17 2020, 6:50 PM

Simplify test changes.

arsenm accepted this revision.Jun 18 2020, 8:15 AM
This revision is now accepted and ready to land.Jun 18 2020, 8:15 AM
This revision was automatically updated to reflect the committed changes.